<div class="card">
    <div class="card-header">
        <div class="page-header-title form-inline">
            <h4>Pemakaian Barang Farmasi</h4>
        </div>
        <button type="button" class="btn btn-success btn-lg pull-right btn-sm">
            <a [routerLink]="['/listpemakaianbarangfarmasi']" style="color: aliceblue">Tambah Pemakaian Barang Farmasi</a>
        </button>
    </div>
    <div class="card-block">
        <form [formGroup]="FormRJ" (ngSubmit)="onSubmit()">
            <div class="dt-responsive dt-bootstrap4 row p-20">
                <div class="col-md-12 col-xl-6 row p-10">
                    <label class="col-sm-4 col-form-label">No. Registrasi</label>
                    <input type="text" class="form-control col-sm-8" id="NoReg" formControlName="NoReg" placeholder="No. Registrasi" value="{{data.noReg}}"
                        maxlength="14">
                    <!-- <label class="col-form-label col-md-8 col-xl-3">: {{data.noReg}}</label> -->

                    <!-- <span class="messages text-danger" *ngIf="!FormRJ.get('NoReg').valid && FormRJ.get('NoReg').touched">* Kolom Harus Diisi</span> -->
                </div>
                <div class="col-md-12 col-xl-6 row p-10">
                    <label class="col-sm-4 col-form-label">No. Rekam Medis</label>
                    <input type="text" class="form-control col-sm-8" id="KdRm" formControlName="KdRm" placeholder="No. Rekam Medis" value="{{data.kdRm}}"
                    maxlength="6">                    
                    <!-- <span class="messages text-danger" *ngIf="!FormRJ.get('KdRm').valid && FormRJ.get('KdRm').touched">* Kolom Harus Diisi</span> -->
                </div>

                <div class="col-md-12 col-xl-6 row p-10">
                    <label class="col-sm-4 col-form-label">Nama Pasien</label>
                    <input type="text" class="form-control col-sm-8" id="Nama" formControlName="Nama" placeholder="Nama Pasien" value="{{data.nama}}">
                </div>

                <div class="col-md-12 col-xl-6 row p-10">
                    <label class="col-form-label col-md-4">Umur (Tahun)</label>
                    <input type="text" class="form-control col-md-8" id="Umur" formControlName="Umur" placeholder="Umur pasien" value="{{data.umur}}">
                </div>
                <div class="col-md-12 col-xl-6 row p-10">
                    <label class="col-sm-4 col-form-label">Dokter Jaga</label>
                    <input type="text" class="form-control col-sm-8" id="NmDokter" formControlName="NmDokter" placeholder="Dokter Jaga">
                </div>
                <div class="col-md-12 col-xl-6 row p-10">
                    <label class="col-sm-4 col-form-label">Diagnosa</label>
                    <input type="text" class="form-control col-sm-8" id="Diagnosa" formControlName="Diagnosa" placeholder="Diagnosa">
                </div>
                <div class="col-md-12 col-xl-6 row p-10">
                    <label class="col-sm-4 col-form-label">Tindakan</label>
                    <input type="text" class="form-control col-sm-8" id="Tindakan" formControlName="Tindakan" placeholder="Tindakan">
                </div>

                <div class="col-md-12 col-xl-12 form-group"></div>


                <div class="col-xs-12 col-sm-12 col-sm-12" style="overflow-x:auto;">
                    <table class="table table-striped table-bordered table-responsive full-data-table text-center pull-center">
                        <thead>
                            <tr>
                                <!-- <th width="20%">Kode</th> -->
                                <th width="50%">Nama Barang</th>
                                <th width="30%">Jumlah</th>
                                <th width="20%"></th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr *ngFor="let field of PBFDetail_arr; let i = index">
                                <!-- <td>
                                    <input class="form-control" type="text" id="kodeBarangFarmasi" name="field.kodeBarangFarmasi"
                                        value="{{field.kodeBarangFarmasi}}" readonly="true">
                                </td> -->
                                <td>
                                    <input class="form-control" type="text" id="namaBarang" name="field.namaBarang" value="{{field.namaBarang}}" readonly="true">
                                </td>
                                <td>
                                    <input class="form-control" type="text" id="jumlah" name="field.jumlah" value="{{field.jumlah}}" readonly="true">
                                </td>
                                <td>
                                    <button type="button" class="btn btn-danger btn-sm text-center" (click)="deleteFieldPIO(i)">
                                        <i class="fa fa-trash"></i>
                                    </button>
                                </td>
                            </tr>
                            <tr>
                                <!-- <td>
                                    <input class="form-control" type="text" id="KodeBarangFarmasi" name="KodeBarangFarmasi"
                                        formControlName="KodeBarangFarmasi" [(ngModel)]="barangFarmasi.KodeBarangFarmasi">
                                </td> -->
                                <td>
                                    <input class="form-control" type="text" id="NamaBarang" name="NamaBarang" formControlName="NamaBarang" [(ngModel)]="barangFarmasi.NamaBarang">

                                    <!-- <div class="col-sm-8" style="padding-left: 0px; padding-right: 0px">
                                        <ng2-completer [textSearching]="'Please wait...'" [(ngModel)]="barangFarmasi.NamaBarang"
                                            [datasource]="dataService" [minSearchLength]="4" [inputClass]="['form-control']"
                                            [matchClass]="completer-description" [clearUnselected]="false"
                                            formControlName="NamaBarang" placeholder="No. Nama Barang" (selected)="onSelected($event)"></ng2-completer>
                                    </div>  -->
                                </td>
                                <td>
                                    <input class="form-control" type="text" id="Jumlah" name="Jumlah" formControlName="Jumlah" [(ngModel)]="barangFarmasi.Jumlah">
                                </td>

                                <td>
                                    <button type="button" class="btn btn-primary btn-sm text-center" (click)="addFieldPBF()">
                                        <i class="icofont icofont-ui-add"></i>
                                    </button>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </div>



                <div class="col-md-12 col-xl-12 form-group"></div>
                <div class="col-md-12 col-xl-12 form-group"></div>

                <div class="col-md-12 col-xl-12 text-left">
                    <label>Perawat yang mengkaji</label>
                </div>
                <!-- <div class="col-md-12 col-xl-12 form-group">
                    <input type="text" class="form-control col-sm-4" id="NipPerawat" formControlName="NipPerawat"
                        placeholder="NIP Perawat">
                </div> -->
                <div class="col-md-12 col-xl-12 form-group">
                    <input type="text" class="form-control col-sm-4" id="NamaPerawat" formControlName="NamaPerawat" placeholder="Nama Perawat">
                </div>

                <div class="col-md-12 col-xl-12 form-group"></div>

                <!-- Button Save -->
                <div class="col-md-8 col-xl-8 form-group"></div>
                <div class="col-md-4 col-xl-4 form-group text-right" style="margin-top: 20px">
                    <button type="submit" class="btn btn-success btn-md btn-block waves-effect text-center m-b-20">
                        <i class="icofont icofont-save"></i> Simpan
                    </button>
                    <!-- <span class="messages text-danger" *ngIf="inValidFormRJ07">* Form Isian Belum Lengkap</span> -->
                </div>
            </div>
        </form>
    </div>
</div>